Bug 1271818 - [RFE] Allow for DNS to update multiple Masters (or have re-try logic).
[RFE] Allow for DNS to update multiple Masters (or have re-try logic).
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Paul Weil
Jianwei Hou
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 15:43 EDT by Eric Rich
Modified: 2016-07-26 08:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-13 10:16:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2015-10-14 15:43:27 EDT
Description of problem:

Add support for the OSE DNS plugin to update more than 1 DNS server (at a time). 

In a Master -> (Slave NS1 <--> Slave NS2) DNS setup, if the master is ever goes down so does your ability to create applications or scale applications. 

Version-Release number of selected component (if applicable): 2.2.7 and prior. 

How reproducible: 100% 

Steps to Reproduce:
1. Setup OSE
2. Setup Bind with 1 master, and 1 slave
3. Configure Broker and Nodes to use Slave an DNS (resolve resource). 
   - Configure the Broker to update the DNS master (in DNS plugin). 
4. Stop the Master
5. Create an application 
   OR
   Scale and application

Actual results:

DNS failures will be seen and applications are rolled back. 

Expected results:

The DNS plugin should (quickly) identify failures with the first DNS (master) and update a second, to avoid this type of outage. 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.